﻿@using FIOAPIWeb.PageHelpers.PlanetSearch

<MudTable Dense="true"
          Bordered="true"
          HorizontalScrollbar="true"
          Breakpoint="Breakpoint.Sm"
          Items="@Resources">
    <HeaderContent>
        <MudTh>
            <MudTableSortLabel SortBy="new Func<PlanetSearchModelResource, object>(x => x.Material)">
                Material
            </MudTableSortLabel>
            </MudTh>
        <MudTh>
            <MudTableSortLabel SortBy="new Func<PlanetSearchModelResource, object>(x => x.ResourceType)">
                Resource Type
            </MudTableSortLabel>
        </MudTh>
        <MudTh>
            <MudTableSortLabel SortBy="new Func<PlanetSearchModelResource, object>(x => x.Concentration)">
                Concentration
            </MudTableSortLabel>
        </MudTh>
        <MudTh>
            <MudTooltip>
                <ChildContent>
                    <MudTableSortLabel InitalDirection="SortDirection.Descending" SortBy="new Func<PlanetSearchModelResource, object>(x => x.DailyExtraction)">
                        Daily Extraction
                    </MudTableSortLabel>
                </ChildContent>
                <TooltipContent>
                    <MudText>
                        Daily extraction is calculated assuming <br />production efficiency specified
                    </MudText>
                </TooltipContent>
            </MudTooltip>
        </MudTh>
        <MudTh>
            <MudTooltip>
                <ChildContent>
                    <MudTableSortLabel SortBy="new Func<PlanetSearchModelResource, object>(x => x.ThreeHundredArea)">
                        300A
                    </MudTableSortLabel>
                </ChildContent>
                <TooltipContent>
                    <MudText>
                        300 Area - A metric to attempt to factor in area<br/>
                        <MudText Typo="Typo.caption">Concentration * 100 * ExtractionRate * 300 / ExtractionBuildingArea</MudText>
                    </MudText>
                </TooltipContent>
            </MudTooltip>
        </MudTh>
    </HeaderContent>
    <RowTemplate>
        <MudTd DataLabel="Material">
            <MudText>@context.Material</MudText>
        </MudTd>
        <MudTd DataLabel="ResourceType">
            <MudText>@context.ResourceType</MudText>
        </MudTd>
        <MudTd DataLabel="Concentration">
            <MudChip Size="Size.Small" Variant="Variant.Filled" Style=@($"background-color:{GetConcentrationColor(context.Concentration)};color:black")>@((context.Concentration * 100.0).ToString("N2") + "%")</MudChip>
        </MudTd>
        <MudTd DataLabel="DailyExtraction">
            <MudChip Size="Size.Small" Variant="Variant.Filled" Style=@($"background-color:{GetDailyExtractionColor(context.Concentration)};color:black")>@((context.DailyExtraction * (ProductionEfficiency / 100.0)).ToString("N2"))</MudChip>
        </MudTd>
        <MudTd>
                <MudChip Size="Size.Small" Variant="Variant.Filled" Style=@($"background-color:{Get300AColor(context.ThreeHundredArea)};color:black")>@((context.ThreeHundredArea * (ProductionEfficiency / 100.0)).ToString("N2"))</MudChip>
        </MudTd>
    </RowTemplate>
</MudTable>